Image Hosted by ImageShack.us
Oggi, dopo avere un attimo messo da parte il 2.6.26rc* per via dei driver nvidia non ancora compatibili, ho installato il kernel 2.6.25-7 che sembra funzionare davvero molto bene.
Spariti definitivamente i miei problemi di usb 2.0 (ehci-hcd) nel trasferimento files di grosse dimensioni (con server X attivo) noto anche con molto piacere che i due moduli per la sospensione e ibernazione sono rimesti immutati (funzionano come sul 2.6.24).Qualche dato tecnico .. giusto per aiutare chi avesse un hardware simile al mio:

Sistema:

  • Sistema operativo: Xubuntu Hardy 8.04.
  • Kernel: 2.6.25-7.
  • Laptop: Lenovo serie 3000 n200.
  • Moduli inclusi nel kernel – Funzionanti:

  • Intel iwl3945 (ancora senza il supporto per il led ma con l’ opzione QOS facoltativa)
  • Alsa driver versione 1.0.16rc2
  • ALC861VD Analog : ALC861VD Analog : playback 1 : capture 1
    Conosciuta anche come:
    00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03).

  • mmc_block: fondamentale per il montaggio delle schede di memoria SD (compilato STATICAMENTE)
  • ata-piix e ahci-hcd: driver per dischi SATA supportati.
  • tg3: driver per scheda ethernet Broadcom Corporation NetLink BCM5906M.
  • coretemp: driver per rilevare la T° interna alla CPU (intel core duo).
  • acpi-cpufreq: modulo per lo scaling dei processori core duo.
  • Moduli inclusi nel kernel – Non funzionanti:

  • thinkpad-acpi: ancora non esiste la patch per questo kernel, ma e’ quasi sicuro che i Lenovo n200 non vengano più supportati.
    Importando la configurazione del kernel di Ubuntu (2.6.24) riusciamo comunque a far funzionare il Brightness (grazie al modulo generico ACPI) e l’OSD.
  • Moduli esterni al kernel – Funzionanti:

  • uvcvideo: per webcam integrata Chicony Electronics.
  • btsco: modulo per il trasferimento vocale via bluetooth.
  • nvidia 173.14.09: risoolto problema parsing di nvidia-settings. Scheda video in uso Quadro 7300.
  • driver per dispostivo wifi-usb Edimax – r73: Chipset Ralink. Versione svn.
  • sdricohcs: driver per multicard reader Ricoh R5C822 – R5C592.
  • AuthenTec: fingerprint reader id= 08ff:2580.
  • ____________________________

    dd

    Related Posts Plugin for WordPress, Blogger...

    Il tuo indirizzo ip:
    54.162.166.214

    Valutazione 3.00 su 5
    happy wheels 2 demo

    Commenti via Facebook:

    Leave a Reply

    Your email address will not be published. Required fields are marked *

    *

    24 Comments

    • Algol SWEDEN Opera Linux 9 anni ago

      divi vedo che hai una Quadro.
      Io ho una quadro nvs 120m, che viene vista come una geforce 7400 go, suppongo perchè le due schede hanno la stessa gpu.
      a te viene riconosciuta correttamente, e se è così mi posteresti gentilmente il tuo xorg?

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      Ciao Algol..si la scheda ha sempre funzionato correttamente:

      01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)

      Ecco lo xorg che mi sono “costruito” :

      http://pastebin.com/fff1255e

        Quota

    • LucaV ITALY Mozilla Firefox Linux 9 anni ago

      Ciao Divilinux, solo una domanda, per caso sai dove trovare le note di rilascio per gli iwl presenti in questa versione del kernel? 🙂 Per il momento sono tornato agli ipw3945 sul 2.6.24-19 (per fortuna esiste gente che scrive le patch) ma non guasta tenersi informati …

      Strano che non abbiano implementato il supporto al led: è presente nei backports da mesi :-/ Mi chiedo quale sia il motivo …

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      Il led e’ presente sin dal primo snapshoot del 2.6.26 (rc1)
      Per le specifiche sugli iwl bisognerebbe controllare nel git..non ho da passarti un link al momento
      😉

        Quota

    • Algol SWEDEN Opera Linux 9 anni ago

      01:00.0 VGA compatible controller: nVidia Corporation G72M [GeForce Go 7400] (rev a1)
      questo è l’unico mistero che ancora non sono riuscito a risolvere… non c’è verso di fargliela riconoscere per bene.
      Negli nvidia-settings poi dovè è indicata la temperatura della gpu a cui si deve spegnere il pc se superata, a me c’è un bello 0 (zero). 🙁
      misteri

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @Algol
      ma la temperatura, cosi’ come il powermizer..sono delle funzionalita’ offerte dai driver nvidia che non tutte le schede supportano
      Tu hai 0 sulla GPU (a proposito da nvidia-settings-configurations e’ abilitato il controllo termico della GPU?) mentre sulla GO7500LE (una mini-pci express che ho sul Desktop di casa) non funziona il powermizer naturalmente (funzione dedicata principalmente alle schede montate sui notebook)
      L’importante e’ che i driver funzionino…
      😉

        Quota

    • mory ITALY Konqueror Debian GNU/Linux 9 anni ago

      divi il tuo lenovo ufficialmente monta una geforce go 7300

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @mory
      si esatto, è proprio cosi’..e quello postato poco più su è l’output di lspci
      Se cerchi le schede tecniche in rete il mio modello lo trovi difficilmente..si tratta di un Lenovo 3000 n200 con risoluzione max 1680×1050 e scheda nvidia.
      NON è questo:
      http://www.twenga.it/scheda-tecnica-3000-N200-0769-LENOVO-PC-portatile-219042

      …e tra l’altro ha un core duo da 1,5Ghz

        Quota

    • tu che sembri saperne… ma è vero che non è piu possibile usare ndiswrapper dal 2.25? io è un po’ che non ricompilo kernel perchè ho paura che non siano solo voci… mai sentito parlarne?

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @spillo
      Gli ndiswrapper li uso per un atheros un po’ particolare, che ho sul desktop Hp..pero’ per il momento ho ancora il 2.6.24.5..non appena metto il 2.6.25 te lo posso dire. Personalmente non ne ho sentito parlare
      😉

        Quota

    • non ricordo di preciso dove l’avevo letto, appena mi capita tra le mani te lo linko… guarda, l’importante è che se è così deve uscire una patch prima che metta gentoo 2008.0 xD

        Quota

    • graymalkin ITALY Mozilla Firefox Linux 9 anni ago

      io invece con questo kernel ho avuto alcuni problemi….
      per prima cosa la cpu è sempre sotto stress (turion ml32) e molte volte la temperatura è tale che per evitare di far friggere tutto il pc va in protezione e si spegne.
      inoltre capita quasi sempre che se il pc resta inattivo per 5-10 min vada tutto in freeze.
      La stessa configurazione per la compilazione del kernel usando i sorgenti del kernel di ubuntu 2.6.24 (non i vanilla) non mi hanno dato problemi.. l’unica noia era per il ehci-hcd e la sospensione che ho risolto con una piccolissima modifica al sorgente che ho trovato qualche parte e ora non ricordo 🙂

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @graymalkin
      Forse mi sono dimenticato di scriverlo..ma io ho importato la .config del 2.6.24 di ubuntu nel 2.6.25-7
      Che sia quello l’ingrediente segreto?
      🙂

        Quota

    • mory ITALY Konqueror Debian GNU/Linux 9 anni ago

      @divi

      lo conosco bene il tuo lenovo, li ho configurati io tutti quelli che abbiam venduto 😉

      Link

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @mory
      li conosco bene anche io, vendiamo sia quelli che i thinkpad (io ho un t43p, un t23p e l’n200) infatti la scheda tecnica che mi hai passato e’ proprio quella del mio modello. Ma basarsi sulle schede tecniche non basta..penso tu lo sappia meglio di me. Anche la mia atheros (sull’hp) e’ una AR5006xs ma in realta’ il chip e’ un altro..e non funziona con i madwifi (come riportato sul loro sito)
      Stessa cosa per la 7300..come riporta la scheda tecnica e’ una geforce go 7300, ma lspci (che si appoggia anche al database di hal) rileva un chip leggermente diverso..

      nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300]

      tutto qua. Sarebbe infatti opportuno specificare queste sottigliezze nelle schede tecniche, e sara’ il prossimo incarico che mi verra’ dato nell’azienda dove lavoro.
      La go 7500LE che invece ho sul desktop di “casa” , in realta’ e’ una Asus (bhe normale..la nvidia ci mette il nome) ma il chip non e’ proprio quello della 7500…
      Il database di HAL cambia spesso, e con update-pciid e’ possibile, in alcuni casi, addirittura aggiornare le firme dei vari componenti hardware.

      Se in futuro avessi bisogno di collaborazione allora posso contare su di te..
      ciao
      😉

      http://www.notebookcheck.net/NVIDIA-Quadro-NVS-110M.2435.0.html

        Quota

    • mory ITALY Konqueror Debian GNU/Linux 9 anni ago

      @divi
      se hai bisogno ti puoi sempre rivolgere alla 2V 😛 Nel frattempo Lela e Andrea ti mandano i saluti 🙂

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @mory
      sai che pero’ mi hai quasi convinto..anche se le caratteristiche della go 7300 sono leggermente diverse dalla scheda che monta sto Lenovo…il dubbio rimane
      Saluti a tutta la 2v..
      🙂

        Quota

    • areatre ITALY Mozilla Firefox Debian GNU/Linux 9 anni ago

      Ciao, ho un problema con il mio notebook. E’ simile al tuo,un Lenovo 3000 N200 0769, ma non proprio uguale, il processore e’ un T2330, la scheda video e’ la intel x3100 e non ho la webcam. Per tutto il resto l’hardware e’ lo stesso.
      Comunque ho un problema con la scheda audio (ALC861VD) sulla mia Debian Lenny (il “cat /etc/debian_version” restituisce lenny/sid).
      Il kernel e’ “2.6.24-1-686 #1 SMP” mentre alsa e’ “1.0.16-1.1”.
      All’inizio l’audio andava senza problemi, poi, un mesetto fa, devo aver fatto qualche aggiornamento che mi ha mandato tutto all’aria.

      Ho gia’ specificato nella configurazione del modulo il modello “model=lenovo” ma nada…
      Su winzozz e su fedora funziona tutto (DOH!).
      Secondo te con un upgrade a Sid, e quindi con alsa 1.0.10rc2 risolvo il problema!?!?
      Grazie

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @areatre
      non conosco il kernel debian, ma con la versione 2.6.24 “liscia” del kernel, sul lenovo n200, ho trovato funzionante la versione (in sorgenti) 1.0.16rc1 dei driver alsa.(contro gli 1.0.15 del kernel tree)
      Dal kernel 2.6.25, che adotta la versione finale 1.0.16 , non c’e’ piu’ nessun problema.
      Se vuoi installare gli alsa 1.0.16rc1 ti basta leggere in fondo a questo articolo (quasi in fondo..)

      http://divilinux.netsons.org/index.php/archives/642

        Quota

    • areatre ITALY Mozilla Firefox Debian GNU/Linux 9 anni ago

      mmm…ho gia’ gli rc1 (per l’esattezza 1..16-1.1). La Sid ha gli rc2 (1.0.16-2).
      Ho fatto altre prove ed ho visto che disabilitando gli acpi (mettendo acpi=off all’avvio del kernel) l’audio torna a funzionare…..secondo voi ho qualche possibilita’???

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @areatre
      ma la versione 1.0.16-1.1 non è la 1.0.16rc1..la rc1 è la release candidate, è arrivata prima della stabile 1.0.16
      Se all’avvio sei obbligato a disabilitare completamente il risparmio energetico..purtroppo ti precludi tutto quello che l’acpi fornisce. Questo significa che il tuo computer ha un bios vecchio, ovvero non supporta l’acpi, oppure utilizza ancora l’APM..che era il vecchio subsystem. Di che anno è ?

        Quota

    • areatre ITALY Mozilla Firefox Debian GNU/Linux 9 anni ago

      No, il pc e’ nuovo. Ha un mese di vita. Prima funzionava tutto a dovere con la mia vecchia lenny. Adesso non ne vuole piu’ sapere…dovrebbe essere stato qualche aggiornamento, ma purtroppo non ricordo di cosa…
      Cmq ho fatto l’upgrade a Sid. Ho anche provato con la Hardy e non funziona se ho impostato l’acpi. Adesso per scrupolo mi rimetto la fedora, che e’ l’unica distro linux dove l’audio funzionava e poi ti faccio sapere…
      A dovere di cronaca ho provato anche a cercare conflitti di irq ma nn ho trovato niente…so solo che nn funziona. Peraltro dando il comando:

      area3@DEBeast:~$ cat /proc/asound/oss/sndstat
      Sound Driver:3.8.1a-980706 (ALSA v1.0.16rc2 emulation code)
      Kernel: Linux DEBeast 2.6.25-2-686 #1 SMP Fri Jun 27 03:23:20 UTC 2008 i686
      Config options: 0

      Installed drivers:
      Type 10: ALSA emulation

      Card config:
      HDA Intel at 0xfc300000 irq 22

      Audio devices: NOT ENABLED IN CONFIG

      Synth devices: NOT ENABLED IN CONFIG

      Midi devices: NOT ENABLED IN CONFIG

      Timers:
      7: system timer

      Mixers: NOT ENABLED IN CONFIG
      area3@DEBeast:~$

      ps: con Sid ho alsa 1.0.16-2 che il precedente comando mi identifica come rc2…

        Quota

    • areatre ITALY Mozilla Firefox Debian GNU/Linux 9 anni ago

      ho dimenticato di finire il discorso….dicevo…
      dando il comando di cui sopra ottengo quel “Audio devices: NOT ENABLED IN CONFIG” che non mi piace per niente….e non so a quale configurazione si riferisce…

        Quota

    • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

      @areatre
      credimi, cambiare distro non serve a nulla..devi capire che quello che cambia, nel caso dei driver, e’ nel kernel..quindi probabilmente il kernel di fedora adotta una versione di alsa funzionanti con la tua scheda (che tra l’altro mi pare uguale alla mia)..se ti segni la versione te la puoi installare anche su ubuntu.

      Dal log si vede che i driver ci sono e stanno funzionando, ma non e’ selezionato alcun mixer..lo si seleziona dal file ~/.asoundrc (mi pare, non vorrei sbagliarmi) sembra comunque un problema di poco conto.

        Quota